;;; unit layer
(define unit-layer
  (layer 'unit
         '()
         (simple-compute-default-value unit:none)))

;; wrapper to make sdf's unit procedures compatible with ours
(define (unit-layer-wrapper unit-proc)
  (lambda (units)
    (apply unit-proc units)))

(install-handler! unit-layer '*2
                  (unit-layer-wrapper unit:*))
(install-handler! unit-layer '1/
                  (unit-layer-wrapper unit:invert))
(install-handler! unit-layer '+
                  (unit-layer-wrapper unit:simple-binary-operation))
(install-handler! unit-layer '-
                  (unit-layer-wrapper unit:simple-binary-operation))
